Bug Hunting Session
Bug 91529 - Splash screen does not show up
Summary: Splash screen does not show up
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-05-23 15:17 UTC by Pedro
Modified: 2016-10-25 19:24 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro 2015-05-23 15:17:34 UTC
As discussed (and confirmed) in topic
http://nabble.documentfoundation.org/Libreoffice-qa-minutes-of-ESC-call-td4148598.html

the splash screen does not show up under Windows XP x86 or Windows 7 x64

Curiously the shadow of the splash screen does show up.

This is obviously a regression from branch 4.4
Comment 1 Buovjaga 2015-05-23 15:22:25 UTC
True, not seeing any splash.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: d8208da8576874fdb07014287e6cbc0aeba741bb
TinderBox: Win-x86@39, Branch:master, Time: 2015-05-23_09:23:03
Locale: fi-FI (fi_FI)
Comment 2 Michael Meeks 2015-05-27 19:39:39 UTC
Tomaz - I guess we need to special-case the splash-screen for immediate rendering, rather than leaving it for idle =) That window can be found out easily by it's WindowType: WINDOW_INTROWINDOW and also its WinBits having WB_INTROWIN included.

Thanks for the report.
Comment 3 Commit Notification 2015-06-04 07:53:31 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aca61aa5ffa4fab458d03e469b569c50952ed077

tdf#91529 hopefully fixes the issue by painting immediately

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-06-04 08:37:41 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d68f980a5b41b6713563cf7119dd7b9eb5a67d4&h=libreoffice-5-0

tdf#91529 hopefully fixes the issue by painting immediately

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Michael Meeks 2015-06-04 10:33:47 UTC
Just tested - and its fixed for me =) Thanks Tomaz.
Comment 6 steve -_- 2015-06-04 15:58:23 UTC
verified as of comment #5